> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Round Participants Status

> Get round participants status



## OpenAPI

````yaml get /rounds/{round_id}/participants
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/{round_id}/participants:
    get:
      tags:
        - rounds
      summary: Get Round Participants Status
      description: Get round participants status
      operationId: get_round_participants_status_rounds__round_id__participants_get
      parameters:
        - name: round_id
          in: path
          required: true
          schema:
            type: string
            title: Round Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoundParticipantsStatusResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundParticipantsStatusResponse:
      properties:
        status:
          $ref: '#/components/schemas/RoundStatusTypeEnum'
        participants:
          items:
            $ref: '#/components/schemas/UserParticipantRoundResponse'
          type: array
          title: Participants
      type: object
      required:
        - status
        - participants
      title: RoundParticipantsStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RoundStatusTypeEnum:
      type: string
      enum:
        - NOT_IN_ROUND
        - WAITING_FOR_PLAYERS
        - COUNTDOWN
        - QUESTION
        - RESULTS
      title: RoundStatusTypeEnum
    UserParticipantRoundResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        username:
          type: string
          title: Username
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - phone
        - username
        - first_name
        - last_name
        - avatar_url
      title: UserParticipantRoundResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````